/*************************************************
* Initalization Function Source File             *
* (C) 1999-2002 The OpenCL Project               *
*************************************************/

#include <opencl/init.h>
#include <opencl/allocate.h>
#include <opencl/rng.h>
#include <opencl/randpool.h>

namespace OpenCL {

/*************************************************
* Libary Initalization                           *
*************************************************/
LibraryInitializer::LibraryInitializer(const std::string& args)
   {
   void load_algorithms_list();
   void initalize_memory_subsystem();

   initalize_memory_subsystem();
   set_global_rng(new Randpool);
   load_algorithms_list();
   }

/*************************************************
* Libary Deinitialization                        *
*************************************************/
LibraryInitializer::~LibraryInitializer()
   {
   void destroy_lookup_tables();

   destroy_lookup_tables();
   }

}
